package frc.robot.subsystems;

import java.util.function.DoubleSupplier;

import edu.wpi.first.wpilibj.motorcontrol.VictorSP;
import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.constants.ShooterConstants;

public class Shooter extends SubsystemBase{
    private VictorSP motor1;
    private VictorSP motor2; //makes the motors varables

    public Shooter() {
        motor1 = new VictorSP(ShooterConstants.K1motorPWM);
        motor2 = new VictorSP(ShooterConstants.K2motorPWM);
    
        motor1.addFollower(motor2); //sets motors
    }

    public Command setSpeed(DoubleSupplier speed) {
    return run(() -> {
        motor1.set(speed.getAsDouble());
    });    //sets the motors speed
}
    public Command stop() {
        return setSpeed(() -> 0);
    }
} //stops the motors

